package net.minecraft.world.level.newbiome.layer;

import net.minecraft.world.level.newbiome.context.Context;
import net.minecraft.world.level.newbiome.layer.traits.C1Transformer;

public enum AddSnowLayer implements C1Transformer {
    INSTANCE;
    
    @Override
    public int apply(final Context coy, final int integer) {
        if (Layers.isShallowOcean(integer)) {
            return integer;
        }
        final int integer2 = coy.nextRandom(6);
        if (integer2 == 0) {
            return 4;
        }
        if (integer2 == 1) {
            return 3;
        }
        return 1;
    }
}
